
Foreman - Bug #25172

kickstart default user_data and finish templates do not recognise "Red Hat Identity Management" as

a realm_type

10/10/2018 09:26 PM - chris procter

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty: easy Fixed in Releases: 1.18.3, 1.19.1, 1.20.0

Triaged: No Found in Releases:  

Bugzilla link: 1635680 Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/527

  

Description

Following on from https://projects.theforeman.org/issues/25117 which added IdM as a recognised realm_type to the kickstart default 

kickstart template, IdM should also be added to the other two templates that allow FreeIPA namely kickstart_default_user_data.erb

and kickstart_default_finish.erb

Again this means replacing:

<% if host_enc['parameters']['realm'] && @host.realm && @host.realm.realm_type == 'FreeIPA' ->

with:

<% if host_enc['parameters']['realm'] && @host.realm && (@host.realm.realm_type 'FreeIPA' || @host.realm.realm_type 'Red Hat

Identity Management') -%>

Related issues:

Related to Foreman - Bug #25117: kickstart-default template does not recognis... Closed

Associated revisions

Revision 23b0543b - 10/10/2018 11:04 PM - chris procter

Fixes #25172 - also support Red Hat IDM in user_data and finish templates

History

#1 - 10/10/2018 09:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/527 added

#2 - 10/10/2018 11:05 PM - Anonymous

- Fixed in Releases 1.18.3, 1.19.1, 1.20.0 added

#3 - 10/11/2018 12:01 AM - chris procter

- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|23b0543becba2dfb7619b60a2236b543732f114d.

#4 - 10/15/2018 09:43 AM - Tomer Brisker

- Category set to Templates

#5 - 10/22/2018 11:45 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #25117: kickstart-default template does not recognise "Red Hat Identity Management" as a realm_type added

#6 - 10/22/2018 11:46 AM - Ewoud Kohl van Wijngaarden

- Bugzilla link set to 1635680
